%define realname libgmail-docs
%define projectname libgmail
%define projectversion 0.1.8


Name:           python-libgmail-docs
Version:        0.3
Release:        10%{?dist}
Summary:        Documents and examples for python-libgmail

Group:          Documentation
License:        GPLv2
URL:            http://%{projectname}.sourceforge.net
Source0:        http://downloads.sourceforge.net/%{projectname}/%{realname}_%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch 
BuildRequires:  python
Requires:       python-libgmail

%description
Documents and examples for python-libgmail.  

%prep
%setup -q -n %{realname}_%{version}

# Fix a dos newline
sed -i 's/\r//g' readmail.py


%build

%install
rm -rf $RPM_BUILD_ROOT

install -d -p -m 0755 $RPM_BUILD_ROOT%{_docdir}/python-%{projectname}-%{projectversion}/API
install -p -m 0644 API/* $RPM_BUILD_ROOT%{_docdir}/python-%{projectname}-%{projectversion}/API
install -d -p -m 0755 $RPM_BUILD_ROOT%{_docdir}/python-%{projectname}-%{projectversion}/examples
install -p -m 0644 *.py $RPM_BUILD_ROOT%{_docdir}/python-%{projectname}-%{projectversion}/examples
install -p -m 0644 COPYING $RPM_BUILD_ROOT%{_docdir}/python-%{projectname}-%{projectversion}
install -p -m 0644 README $RPM_BUILD_ROOT%{_docdir}/python-%{projectname}-%{projectversion}

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc %{_docdir}/python-%{projectname}-%{projectversion}/API
%doc %{_docdir}/python-%{projectname}-%{projectversion}/examples
%doc %{_docdir}/python-%{projectname}-%{projectversion}/COPYING
%doc %{_docdir}/python-%{projectname}-%{projectversion}/README

%changelog
* Wed Mar 18 2009 Michal Nowak <mnowak@redhat.com> - 0.3-10
- README is back

* Wed Nov 26 2008 Michal Nowak <mnowak@redhat.com> - 0.3-9
- removed README file in favor of the one from python-libgmail

* Sat Sep 20 2008 Michal Nowak <mnowak@redhat.com> - 0.3-8
- it's not necessary to exclude *.py[co] files on EL-4, because
  they do not exists
- install also COPYING and README files to "root" doc dir instead of examples/
- rationalised %%install part--don't have *.py files executable

* Sat Sep 20 2008 Michal Nowak <mnowak@redhat.com> - 0.3-7
- test build to EL-4

* Sun Jan 27 2008 Michael Stahnke <mastahnke@gmail.com> - 0.3-6
- Excluded *.pyc *.pyo in %%doc

* Sat Jan 19 2008 Michael Stahnke <mastahnke@gmail.com> - 0.3-5
- Fixed a BR and permissions on REAME/COPYING

* Sat Jan 12 2008 Michael Stahnke <mastahnke@gmail.com> - 0.3-4
- Fixed an Ownership issue

* Wed Jan 02 2008 Michael Stahnke <mastahnke@gmail.com> - 0.3-3
- Changed exclusion for *.pyc and *.pyo
- Fixed license 
- Changed package group to documentation
- Removed Requires on python-libgmail

* Wed Dec 12 2007 Michael Stahnke <mastahnke@gmail.com> - 0.3-2
- Adding a BR on python to suppress some warnings

* Tue Dec 11 2007 Michael Stahnke <mastahnke@gmail.com> - 0.3-1
- Initial Package
